<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@1290C3=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Rocktris"/>
  <cheat desc="----------"/>

  <cheat desc="Drop piece to end level Now! PL1"> <comment>One player game only</comment>
    <script state="on">
      <action>maincpu.pb@12210C=00</action>
    </script>
  </cheat>

  <cheat desc="Drop piece to end level Now! PL2"> <comment>One player game only</comment>
    <script state="on">
      <action>maincpu.pb@12210D=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Bubble Gum"/>
  <cheat desc="------------"/>

  <cheat desc="Help Line PL1">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@122660=param</action>
    </script>
  </cheat>

  <cheat desc="Help Line PL2">
    <parameter>
      <item value="0x01">Enabled</item>
      <item value="0x00">Disabled</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@122661=param</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Tong Boy"/>
  <cheat desc="----------"/>

  <cheat desc="Infinite Time PL1">
    <script state="run">
      <action>maincpu.pw@12250E=1400</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@122509=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@123B12=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Time PL2">
    <script state="run">
      <action>maincpu.pw@12251A=1400</action>
    </script>
  </cheat>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@122515=0A</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@123B3A=03</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Cross Point"/>
  <cheat desc="-------------"/>

  <cheat desc="Infinite Helps PL1">
    <script state="run">
      <action>maincpu.pb@1276BC=03</action>
    </script>
  </cheat>

  <cheat desc="Drop piece to end level Now! PL1"> <comment>One player game only</comment>
    <script state="on">
      <action>maincpu.pb@124EEE=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Helps PL2">
    <script state="run">
      <action>maincpu.pb@1276B9=03</action>
    </script>
  </cheat>

  <cheat desc="Drop piece to end level Now! PL2"> <comment>One player game only</comment>
    <script state="on">
      <action>maincpu.pb@124EEF=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>
  <cheat desc="Box Logic"/>
  <cheat desc="-----------"/>

  <cheat desc="Infinite Time PL1"> <comment>Turn this OFF at the end of each Round</comment>
    <script state="run">
      <action>maincpu.pb@127519=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Helps PL1">
    <script state="run">
      <action>maincpu.pb@126301=03</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time PL2"> <comment>Turn this OFF at the end of each Round</comment>
    <script state="run">
      <action>maincpu.pb@127515=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Helps PL2">
    <script state="run">
      <action>maincpu.pb@126303=03</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
